Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Zurab_T_1
Beginner
67 Views

Installing problem on centos 7.1

I have fresh new install of centos 7.1 and trying to install intel media server studio essential 2015 r5.

I follow the steps described in getting started guide., but after install_sdk_umd... finishes installing packages from yum repo and starts installing sdk provided rpm files, I am getting error: mesa-dri-drivers >= 8.0.1 is needed by libva-1.3.1-staging.20130628.36242.el7.x86_64.

I installed that package from yum repo and re-started install_sdk_umd... after installation have finished, I started build_kernel_rpm_CentOS.sh finished ok, I installed newly builded kernel to the system and re-started the system.

Checked if the system is running using the provided kernel and if the module is loaded correctly:

[root@localhost ~]# uname -a
Linux localhost.localdomain 3.10.0-229.1.2.36242.MSSr4.el7.centos.x86_64 #1 SMP Tue May 12 21:14:39 GET 2015 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost ~]# lsmod | grep i915
i915                  933912  3
i2c_algo_bit           13413  2 i915,mgag200
drm_kms_helper         98226  2 i915,mgag200
drm                   311336  5 ttm,i915,drm_kms_helper,mgag200
i2c_core               40325  6 drm,i915,i2c_i801,drm_kms_helper,mgag200,i2c_algo_bit
video                  19263  1 i915

but the vainfo gives, me wrong information.

      VAProfileNone                   : VAEntrypointVideoProc
      VAProfileNone                   : <unknown entrypoint>
      VAProfileMPEG2Simple            : VAEntrypointEncSlice
      VAProfileMPEG2Simple            : VAEntrypointVLD
      VAProfileMPEG2Main              : VAEntrypointEncSlice
      VAProfileMPEG2Main              : VAEntrypointVLD
      VAProfileH264Baseline           : VAEntrypointEncSlice
      VAProfileH264Baseline           : <unknown entrypoint>
      VAProfileH264Baseline           : <unknown entrypoint>
      VAProfileH264Main               : VAEntrypointVLD
      VAProfileH264Main               : VAEntrypointEncSlice
      VAProfileH264Main               : <unknown entrypoint>
      VAProfileH264Main               : <unknown entrypoint>
      VAProfileH264High               : VAEntrypointVLD
      VAProfileH264High               : VAEntrypointEncSlice
      VAProfileH264High               : <unknown entrypoint>
      VAProfileH264High               : <unknown entrypoint>
      VAProfileVC1Simple              : VAEntrypointVLD
      VAProfileVC1Main                : VAEntrypointVLD
      VAProfileVC1Advanced            : VAEntrypointVLD
      VAProfileJPEGBaseline           : VAEntrypointVLD
      VAProfileJPEGBaseline           : VAEntrypointEncPicture
      VAProfileH264ConstrainedBaseline: VAEntrypointVLD
      VAProfileH264ConstrainedBaseline: VAEntrypointEncSlice
      VAProfileH264ConstrainedBaseline: <unknown entrypoint>
      VAProfileH264ConstrainedBaseline: <unknown entrypoint>
      VAProfileVP8Version0_3          : VAEntrypointEncSlice
      VAProfileVP8Version0_3          : VAEntrypointVLD
      VAProfileVP8Version0_3          : <unknown entrypoint>

 

0 Kudos
4 Replies
Zurab_T_1
Beginner
67 Views

anyone can tell me why I am getting <unknown entrypoint> in vainfo output?

Surbhi_M_Intel
Employee
67 Views

Hi Zurab, 

This is not expected, we are looking into this issue. Can you please confirm if the problem exist after re-installing all of the RPMs with --force + reboot as mentioned in getting started guide?  
Also, try to run sample application and check if they run smoothly. Let us know the result. 

Thanks,
Surbhi

Surbhi_M_Intel
Employee
67 Views

HI Zurab, 

After discussing this issue with experts, these <unknown encrypt> msgs is not an installation issue. You shouldn't see any problem with any codec.  These msgs means that media sdk are limitations of media stack/vainfo tool & is not exposing to those entrpoints 

Hope that answer your question.

Thanks,
Surbhi

Kapil_D_
Beginner
67 Views

Hi Zurab,

I am wondering whether you are able to install CentOS 7.1 and the OpenCL runtime through Intel media server studio essential 2015 r5 successfully. If yes, could I ask you for suggestions to resolve the installation issue I am facing? 

I am not able to install the newly built kernel. In particular, I am following these steps (most of the steps are based on the official instructions from Intel).

Installed CenOS 7.1 using an ISO from: http://isoredirect.centos.org/centos/7/isos/x86_64/CentOS-7-x86_64-DVD-1503-01.iso . I chose "Development and Creative Workstation" base environment and  "development tools" add-on  during the OS installation. I think it should be the right version of the OS but, still could you tell me the base kernel-version of the CentOS that you installed?

- Installed packages by running install_sdk_UMD_CentOS.sh : it seems to have installed everything fine.

-  Built kernel using build_kernel_rpm_CentOS.sh : it took more than an hour and finished with a message- "+exit 0       /MSS      INFO... Please find kernel rpm under ./rpmbuild/RPMS folder." I feel that this step is also fine, but I not 100% sure. Please let me know if this message denotes a successful build or not.

- Installing the kernel: this step seems to be the issue because the OS crashes when I reboot the system the system after this step. Actually, this step finished in less than 1 minute for me with the following message. Could you comment on this?

"[root@ultra4 x86_64]# rpm -Uvh kernel-3.10.*.rpm
Preparing...                          ################################# [100%]
Updating / installing...
   1:kernel-3.10.0-229.1.2.36242.MSSr4################################# [ 50%]
Cleaning up / removing...
   2:kernel-3.10.0-229.el7            warning: file /lib/modules/3.10.0-229.el7.x86_64/weak-updates: remove failed: No such file or directory
warning: file /lib/modules/3.10.0-229.el7.x86_64/modules.softdep: remove failed: No such file or directory
warning: file /lib/modules/3.10.0-229.el7.x86_64/modules.devname: remove failed: No such file or directory
################################# [100%]"

Before rebooting when I run uname -r command, I see 3.10.0-229.el7.x86_64 version. 

Any help or pointer is greatly appreciated.

Thanks and Regards,

Kapil

Reply